//!<Here is the start symbol of the grammar.
%start S
%{
/*! The grammar is for recognizing s-expressions.
 * valid s-expressions will be returned to be evaluated by eval( ).
 * invalid expressions will be reported as error.
 * all the whitespaces and CRs are ignored.
 */


#include <stdlib.h>
#include <stdio.h>
#include <math.h>
#include "c_cons.h"
#define YYSTYPE CCell*

CCell* sexpr_root;
extern int yyerror(char* message);
extern int yylex( );
%}


%%


%%


/* This function is called when ever and error has occur. It will output error message into the error.out file. */
int yyerror (char * message)
{
   FILE *errorOutput;
   errorOutput = fopen("error.out", "w");
   fprintf(errorOutput, "\tError is %s\n", message);
   fflush(errorOutput);
   fclose(errorOutput);
   return 1;
}

