%{
/*! In the rules section, this is used when a token is match.
 * A token is a piece of text that matches certain rules that
 * pre-define in the definition section. When a certain rules
 * matches usually it is return the matched text type back to
 * the parser for regular expression analysis
*/
#include <stdio.h> 
#include "parser.tab.h" 
#include "c_cons.h"

YY_BUFFER_STATE buffer;
int scan_string(char* str);
int delete_buffer( );
%}


%%


%%


//!<wrap up normally at end-of-file (control-D)
int yywrap ( ) {
    return 1;
}

//!< provides a public interface allowing others (like parse.cpp)
//!< to call yy_scan_string to scan an internal buffer
int scan_string(char* str)
{
  buffer = yy_scan_string(str);
  return 0;
}

//!< provides a public interface allowing others (like parse.cpp)
//!< to call yy_delete_buffer to delete the internal buffer
int delete_buffer( ) 
{
  yy_delete_buffer(buffer);
  return 0;
}
